## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csRunnable Class Reference

Abstract interface for objects which can be run in a thread. More...

`#include <csutil/thread.h>`

List of all members.

## Public Member Functions

virtual void | DecRef ()=0
| Decrement reference count.
virtual int | GetRefCount ()=0
| Get reference count.
virtual void | IncRef ()=0
| Increment reference count.
virtual void | Run ()=0
| Implement this method to allow your object to be run in a thread.

## Detailed Description

Abstract interface for objects which can be run in a thread.

Objects which want to be run in a thread must implement this interface.

Definition at line 74 of file thread.h.

## Member Function Documentation

virtual void csRunnable::DecRef | ( |  | ) | `[pure virtual]`

| Decrement reference count.

virtual int csRunnable::GetRefCount | ( |  | ) | `[pure virtual]`

| Get reference count.

virtual void csRunnable::IncRef | ( |  | ) | `[pure virtual]`

| Increment reference count.

virtual void csRunnable::Run | ( |  | ) | `[pure virtual]`

| Implement this method to allow your object to be run in a thread.

The documentation for this class was generated from the following file:

- csutil/thread.h